package utils

type paginate struct{}

func Paginate() paginate {
	return paginate{}
}

// Generate
// @description: 生成页码
// @receiver paginate
// @param count
// @param size
// @return int
func (paginate) Generate(count int64, size int) int {
	totalPage := 0
	if count > 0 {
		upPage := 0
		if int(count)%size > 0 {
			upPage = 1
		}
		totalPage = (int(count) / size) + upPage
	}
	return totalPage
}
